
// Copyright (C) 2020 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#include <QtCore/qnamespace.h>

#if 0
#  define Q_OS_MAC
#endif
#if 0
#  define Q_OS_WIN
#endif
#if 1
#  define Q_OS_UNIX
#endif

// There are symbols in Qt that exist in Debug but
// not in release
#define QT_NO_DEBUG

// Here are now all configured modules appended:

#include <QtOpenGL/QtOpenGL>
// Copyright (C) 2021 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0
#include <QtGui/qtgui-config.h>

#if QT_CONFIG(opengles2)
#  include <QtOpenGL/qopenglfunctions_es2.h>
#elif QT_CONFIG(opengl)
#  include <QtOpenGL/qopenglfunctions_1_0.h>
#  include <QtOpenGL/qopenglfunctions_1_1.h>
#  include <QtOpenGL/qopenglfunctions_1_2.h>
#  include <QtOpenGL/qopenglfunctions_1_3.h>
#  include <QtOpenGL/qopenglfunctions_1_4.h>
#  include <QtOpenGL/qopenglfunctions_1_5.h>
#  include <QtOpenGL/qopenglfunctions_2_0.h>
#  include <QtOpenGL/qopenglfunctions_2_1.h>
#  include <QtOpenGL/qopenglfunctions_3_0.h>
#  include <QtOpenGL/qopenglfunctions_3_1.h>
#  include <QtOpenGL/qopenglfunctions_3_2_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_3_2_core.h>
#  include <QtOpenGL/qopenglfunctions_3_3_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_3_3_core.h>
#  include <QtOpenGL/qopenglfunctions_4_0_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_0_core.h>
#  include <QtOpenGL/qopenglfunctions_4_1_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_1_core.h>
#  include <QtOpenGL/qopenglfunctions_4_2_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_2_core.h>
#  include <QtOpenGL/qopenglfunctions_4_3_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_3_core.h>
#  include <QtOpenGL/qopenglfunctions_4_4_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_4_core.h>
#  include <QtOpenGL/qopenglfunctions_4_5_compatibility.h>
#  include <QtOpenGL/qopenglfunctions_4_5_core.h>
#  include <QtOpenGL/qopenglversionfunctionsfactory.h>
#endif
