# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

IF(NOT EXISTS "/home/ahrs/repos/pyside-setup/build/qfp-py3.12-qt6.7.0-64bit-release/build/shiboken6/install_manifest.txt")
  MESSAGE(FATAL_ERROR "Cannot find install manifest: \"/home/ahrs/repos/pyside-setup/build/qfp-py3.12-qt6.7.0-64bit-release/build/shiboken6/install_manifest.txt\"")
ENDIF(NOT EXISTS "/home/ahrs/repos/pyside-setup/build/qfp-py3.12-qt6.7.0-64bit-release/build/shiboken6/install_manifest.txt")

FILE(READ "/home/ahrs/repos/pyside-setup/build/qfp-py3.12-qt6.7.0-64bit-release/build/shiboken6/install_manifest.txt" files)
STRING(REGEX REPLACE "\n" ";" files "${files}")
FOREACH(file ${files})
  MESSAGE(STATUS "Uninstalling \"$ENV{DESTDIR}${file}\"")
  IF(EXISTS "$ENV{DESTDIR}${file}")
    EXEC_PROGRAM(
      "/usr/bin/cmake" ARGS "-E remove \"$ENV{DESTDIR}${file}\""
      OUTPUT_VARIABLE rm_out
      RETURN_VALUE rm_retval
      )
    IF(NOT "${rm_retval}" STREQUAL 0)
      MESSAGE(FATAL_ERROR "Problem when removing \"$ENV{DESTDIR}${file}\"")
    ENDIF(NOT "${rm_retval}" STREQUAL 0)
  ELSE(EXISTS "$ENV{DESTDIR}${file}")
    MESSAGE(STATUS "File \"$ENV{DESTDIR}${file}\" does not exist.")
  ENDIF(EXISTS "$ENV{DESTDIR}${file}")
ENDFOREACH(file)
