
// Copyright (C) 2020 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#include <QtCore/qnamespace.h>

#if 0
#  define Q_OS_MAC
#endif
#if 0
#  define Q_OS_WIN
#endif
#if 1
#  define Q_OS_UNIX
#endif

// There are symbols in Qt that exist in Debug but
// not in release
#define QT_NO_DEBUG

// Here are now all configured modules appended:

#include <QtGui/QtGui>
#include "qpytextobject.h"  // PySide class
#include <rhi/qrhi.h>
#include <rhi/qrhi_platform.h>
#include <rhi/qshader.h>
#include <qtguihelper.h>
void qt_set_sequence_auto_mnemonic(bool b);
